package com.ruoyi.generator.mapper.front;

import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.ruoyi.generator.domain.front.FrontProjectFile;

public interface FrontProjectFileMapper
{
    public FrontProjectFile selectFrontProjectFileById(Long fileId);
    public List<FrontProjectFile> selectFrontProjectFileList(FrontProjectFile frontProjectFile);
    public FrontProjectFile selectFrontProjectFileByLookup(@Param("projectId") Long projectId,
            @Param("templateType") String templateType, @Param("tableId") Long tableId, @Param("nodeId") String nodeId);
    public int insertFrontProjectFile(FrontProjectFile frontProjectFile);
    public int updateFrontProjectFile(FrontProjectFile frontProjectFile);
    public int deleteFrontProjectFileById(Long fileId);
    public int deleteFilesByProjectId(Long projectId);
}
